summaryrefslogtreecommitdiff
path: root/taler-build/update_survey.sh
diff options
context:
space:
mode:
authorMarcello Stanisci <stanisci.m@gmail.com>2017-11-25 10:59:23 +0100
committerMarcello Stanisci <stanisci.m@gmail.com>2017-11-25 11:00:14 +0100
commit5cf8fba0d8e7c7019ccfb7e6a329a45028887458 (patch)
treec1cfca2e38089a0a0a155f77e354ebeb5074c5f2 /taler-build/update_survey.sh
parent974f1df77a5f6596b0a5eedbe1774d68647a171a (diff)
downloaddeployment-5cf8fba0d8e7c7019ccfb7e6a329a45028887458.tar.gz
deployment-5cf8fba0d8e7c7019ccfb7e6a329a45028887458.tar.bz2
deployment-5cf8fba0d8e7c7019ccfb7e6a329a45028887458.zip
every frontend has its own "update" script
Diffstat (limited to 'taler-build/update_survey.sh')
-rwxr-xr-xtaler-build/update_survey.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/taler-build/update_survey.sh b/taler-build/update_survey.sh
new file mode 100755
index 0000000..4293eb9
--- /dev/null
+++ b/taler-build/update_survey.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+set -eu
+
+cd $HOME/survey/
+git clean -fxd
+
+git fetch
+# reset to updated upstream branch, but only if we're tracking a branch
+branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || echo HEAD)
+git reset --hard "$branch"
+
+git submodule update --init --force
+
+./bootstrap
+./configure --prefix="$HOME/local"
+make install check